package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 人员表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {
    List<Map<String,Object>> selectCardList(IPage<Map<String,Object>> page, @Param("personType") String personType, @Param("status") int status);

    int setFieldIncrement(@Param("personId") String personId, @Param("field") String field, @Param("increment") int increment);

    TaPerson getSalesExecutive();

    List<TaPerson> getPersonByOpenId(@Param("openId") String openId);

    List<Map<String, Object>> selectBuildingConsultants(@Param("buildingId") String buildingId, @Param("personType") String personType, @Param("status") int status);

    IPage<TaPerson> selectCustomer(IPage<TaPerson> page);

    TaPerson getById(@Param("personId") String personId);


    List<String>getUserProjects(@Param("personId") String personId);

    TaPerson selectByIdPerson(@Param("openid") String openid);

    List<String> getConsultantByName(@Param("name")String name);

    String getConsultantByTel(@Param("tel")String tel);

    List<Map<String,Object>> selectCardListofMine(IPage<Map<String,Object>> page, @Param("personType") String personType, @Param("status") int status,@Param("personIds")List<String> personIds);

}
